<!DOCTYPE html>
<html layout:decorator="admin/index"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">

<body>

<main layout:fragment="main">

    <div class="container">
        <h1 th:if="${studyPlan.enabled}" th:text="${studyPlan.getName()}"></h1>
        <h1 th:if="${!studyPlan.enabled}" th:inline="text">[[${studyPlan.getName()}]] <i class="material-icons">lock_outline</i>
        </h1>

        <!-- Mandatory subjects -->
        <div class="row">
            <div class="col s12 m7">
                <div class="card-content z-depth-1">
                    <ul class="collection with-header">
                        <li class="collection-header">
                            <h4 th:text="#{admin.studyplandetails.mandatory}"></h4>
                            <h6 th:text="${addedMandatoryEcts} + ' / ' + ${studyPlan.getEctsDistribution().getMandatory() + ' ECTS'}"></h6>
                        </li>
                        <li class="collection-item" th:each="subjectForStudyPlan : ${mandatory}">
                            <div class="title">
                                <a class="teal-text"
                                   data-th-href="@{/admin/subjects/{id}(id=${subjectForStudyPlan.getSubject().getId()})}"
                                   href="#"
                                   th:text="${subjectForStudyPlan.getSubject().getName()}"></a>
                                <a class="secondary-content modal-trigger"
                                   th:href="'#delete-mandatory-confirm-' + ${subjectForStudyPlan.getSubject().getId()}"><i
                                        class="material-icons tooltipped"
                                        th:attr="data-tooltip=#{admin.studyplandetails.subject.remove}">delete</i></a>
                            </div>
                            <div th:if="${subjectForStudyPlan.getSemesterRecommendation() != null}">
                                <div th:text="${subjectForStudyPlan.getSemesterRecommendation()} + '. Semester'"></div>
                            </div>
                            <div th:text="${subjectForStudyPlan.getSubject().getEcts()} + ' ECTS'"></div>

                            <!-- Delete confirmation modal for mandatory subjects -->
                            <div class="modal small"
                                 th:id="'delete-mandatory-confirm-' + ${subjectForStudyPlan.getSubject().getId()}">
                                <div class="modal-content">
                                    <h4 th:text="#{admin.studyplan.details.subject.remove.modal.header}"></h4>
                                    <p th:text="#{admin.studyplan.details.subject.remove.modal.content(${subjectForStudyPlan.getSubject().getName()}, ${studyPlan.getName()})}"></p>
                                </div>
                                <div class="modal-footer">
                                    <form method="post"
                                          th:action="@{/admin/studyplans/remove/(subjectId=${subjectForStudyPlan.getSubject().getId()},studyPlanId=${studyPlan.id})}"
                                          th:id="'removeSubject-' + ${subjectForStudyPlan.getSubject().getId()}">
                                        <a class="modal-action modal-close btn"
                                           th:onclick="'$(\'#removeSubject-' + ${subjectForStudyPlan.getSubject().getId()} + '\').submit()'"
                                           th:text="#{remove}"></a>
                                        <a class="modal-action modal-close waves-effect btn-flat"
                                           th:text="#{cancel}"></a>
                                    </form>

                                </div>
                            </div>

                        </li>
                        <li>
                            <div class="row">
                                <div class="col s12">
                                    <form action="#" id="form1" method="post"
                                          th:action="@{/admin/studyplans/addSubject}">
                                        <input id="mandatorySubjectId" name="subjectId" type="hidden"/>
                                        <input id="studyPlanId" name="studyPlanId" th:value="${studyPlan.getId()}"
                                               type="hidden"/>
                                        <input name="mandatory" type="hidden" value="true"/>
                                        <div class="input-field col s6">
                                            <input autocomplete="off" class="autocomplete"
                                                   data-activates="singleDropdownMandatory"
                                                   data-beloworigin="true" id="mandatory-autocomplete-input"
                                                   type="text">
                                            <label for="mandatory-autocomplete-input"
                                                   th:text="#{admin.studyplans.addsubject}"></label>
                                            <ul class="dropdown-content" id="singleDropdownMandatory"></ul>
                                            </input>
                                        </div>
                                        <div class="input-field col s3">
                                            <select form="form1" name="semester">
                                                <option selected="" value="1">1. Semester</option>
                                                <option value="2">2. Semester</option>
                                                <option value="3">3. Semester</option>
                                                <option value="4">4. Semester</option>
                                                <option value="5">5. Semester</option>
                                                <option value="6">6. Semester</option>
                                                <option value="7">7. Semester</option>
                                                <option value="8">8. Semester</option>
                                            </select>
                                            <label>Semester</label>
                                        </div>
                                        <div class="input-field col s3">
                                            <button class="btn waves-effect waves-light" name="action"
                                                    th:text="#{admin.studyplans.addsubject}"
                                                    type="submit"></button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </li>

                    </ul>
                </div>

            </div>
        </div>

        <!-- Optional subjects -->
        <div class="row">
            <div class="col s12 m7">
                <div class="card-content z-depth-1">
                    <ul class="collection with-header">
                        <li class="collection-header">
                            <h4 th:text="#{admin.studyplandetails.optional}"></h4>
                            <h6 th:text="${addedOptionalEcts} + ' / ' + ${studyPlan.getEctsDistribution().getOptional() + ' ECTS'}"></h6>
                        </li>
                        <li class="collection-item" th:each="subjectForStudyPlan : ${optional}">
                            <div class="title">
                                <a class="teal-text"
                                   data-th-href="@{/admin/subjects/(id=${subjectForStudyPlan.getSubject().getId()})}"
                                   href="#"
                                   th:text="${subjectForStudyPlan.getSubject().getName()}"></a>
                                <a class="secondary-content tooltipped modal-trigger"
                                   th:attr="data-tooltip=#{admin.studyplandetails.subject.remove}"
                                   th:href="'#delete-optional-confirm-' + ${subjectForStudyPlan.getSubject().getId()}"><i
                                        class="material-icons">delete</i></a>
                            </div>
                            <div th:if="${subjectForStudyPlan.getSemesterRecommendation() != null}">
                                <div th:text="${subjectForStudyPlan.getSemesterRecommendation()} + '. Semester'"></div>
                            </div>
                            <div th:text="${subjectForStudyPlan.getSubject().getEcts()} + ' ECTS'"></div>

                            <!-- Delete confirmation modal for optional subjects -->
                            <div class="modal small"
                                 th:id="'delete-optional-confirm-' + ${subjectForStudyPlan.getSubject().getId()}">
                                <div class="modal-content">
                                    <h4 th:text="#{admin.studyplan.details.subject.remove.modal.header}"></h4>
                                    <p th:text="#{admin.studyplan.details.subject.remove.modal.content(${subjectForStudyPlan.getSubject().getName()}, ${studyPlan.getName()})}"></p>
                                </div>
                                <div class="modal-footer">
                                    <form method="post"
                                          th:action="@{/admin/studyplans/remove/(subjectId=${subjectForStudyPlan.getSubject().getId()},studyPlanId=${studyPlan.id})}"
                                          th:id="'removeSubject-' + ${subjectForStudyPlan.getSubject().getId()}">
                                        <a class="modal-action modal-close btn"
                                           th:onclick="'$(\'#removeSubject-' + ${subjectForStudyPlan.getSubject().getId()} + '\').submit()'"
                                           th:text="#{remove}"></a>
                                        <a class="modal-action modal-close waves-effect btn-flat"
                                           th:text="#{cancel}"></a>
                                    </form>
                                </div>
                            </div>

                        </li>

                        <li>
                            <div class="row">
                                <div class="col s12">
                                    <form action="#" id="form2" method="post"
                                          th:action="@{/admin/studyplans/addSubject}">
                                        <input id="optionalSubjectId" name="subjectId" type="hidden"/>
                                        <input name="studyPlanId" th:value="${studyPlan.getId()}" type="hidden"/>
                                        <input name="mandatory" type="hidden" value="false"/>
                                        <div class="input-field col s6">
                                            <input autocomplete="off" class="autocomplete"
                                                   data-activates="singleDropdownOptional"
                                                   data-beloworigin="true" id="optional-autocomplete-input"
                                                   type="text">
                                            <label for="optional-autocomplete-input"
                                                   th:text="#{admin.studyplans.addsubject}"></label>
                                            <ul class="dropdown-content" id="singleDropdownOptional"></ul>
                                            </input>
                                        </div>
                                        <div class="input-field col s3">
                                            <select form="form2" name="semester">
                                                <option selected="" value="1">1. Semester</option>
                                                <option value="2">2. Semester</option>
                                                <option value="3">3. Semester</option>
                                                <option value="4">4. Semester</option>
                                                <option value="5">5. Semester</option>
                                                <option value="6">6. Semester</option>
                                                <option value="7">7. Semester</option>
                                                <option value="8">8. Semester</option>
                                            </select>
                                            <label>Semester</label>
                                        </div>
                                        <div class="input-field col s3">
                                            <button class="btn waves-effect waves-light" name="action"
                                                    th:text="#{admin.studyplans.addsubject}"
                                                    type="submit"></button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>

            </div>
        </div>

        <!-- Free choice subjects -->
        <div class="row">
            <div class="col s12 m7">
                <div class="card-content z-depth-1">
                    <ul class="collection with-header">
                        <li class="collection-header">
                            <h4 th:text="#{admin.studyplandetails.free}"></h4>
                            <h6 th:text="'0.0 / ' + ${studyPlan.getEctsDistribution().getFreeChoice() + ' ECTS'}"></h6>
                        </li>

                    </ul>
                </div>

            </div>
        </div>

    </div>


</main>

</body>

</html>
